### Method

# Vips Image crop

#### Declaration [src]

    int
    vips_crop (
      VipsImage* in,
      VipsImage** out,
      int left,
      int top,
      int width,
      int height,
      ...
    )

#### Description [src]

A synonym for `vips_extract_area()`.

See also

`vips_extract_band()`, `vips_smartcrop()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`left`

  Type: `int`

  Left edge of area to extract.

`top`

  Type: `int`

  Top edge of area to extract.

`width`

  Type: `int`

  Width of area to extract.

`height`

  Type: `int`

  Height of area to extract.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.